Subject: bug#78157: 31.0.50; 3.2 Install a Function Definition

From: badli al rashid <[email-masked]>
Date: Wed, 30 Apr 2025 15:10:22 +0800

Hi,

Thanks I was learning elisp but the out was not as I expected on the
Android. I was testing with GNU emacs and sourceforge versions but it gave
the same result.

Thank you I will just have to test again and make a note of it.

Sent from Gmail

On Wed, Apr 30, 2025, 14:37 Eli Zaretskii <[email-masked]> wrote:

> merge 78157 78156
> thanks
>
> > From: badli al rashid <[email-masked]>
> > Date: Wed, 30 Apr 2025 14:13:54 +0800
> >
> > error when installing the second version of the function from elisp
> > introduction to programming
> >
> >      (defun multiply-by-seven (number)       ; Second version.
> >        "Multiply NUMBER by seven."
> >        (+ number number number number number number number))
>
> I'm quite sure this is the same problem as in the previous bug#78156
> which you reported.
>
> Moreover, given this:
>
> > Debugger entered--Lisp error: (void-variable number)
> >   (* 7 number)
> >   (progn (* 7 number))
> >   eval((progn (* 7 number)) t)
>
> it looks like you didn't even install the new definition of the
> multiply-by-seven function, because Emacs is still using the old
> definition.
>
> These are all user mistakes typical for a newcomer to Emacs Lisp.
>
> There's nothing wrong with reporting these issues and asking for help
> and advice, but this list is not the proper forum for that.  Given
> your level of knowledge of Emacs Lisp, may I suggest that you instead
> post to the [email-masked] mailing list, whose purpose is
> explicitly to help newcomers to Emacs?  If the discussion on that list
> indicates that there's a real bug in Emacs or its documentation,
> please submit a bug report with all the details using report-emacs-bug.
>
> Thanks.
>